org.restlet.engine.http.header

## Class LanguageWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.StringWriter
    - - org.restlet.engine.http.header.HeaderWriter<M>
      - - org.restlet.engine.http.header.MetadataWriter<Language>
        - - org.restlet.engine.http.header.LanguageWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class LanguageWriter
    extends MetadataWriter<Language>

Language header writer.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`LanguageWriter()`

### Method Summary

Methods
`static java.lang.String` `write(java.util.List<Language> languages)` Writes a list of languages.

### Methods inherited from class org.restlet.engine.http.header.MetadataWriter

`append`

### Methods inherited from class org.restlet.engine.http.header.HeaderWriter

`append, append, append, append, append, append, appendComment, appendExtension, appendExtension, appendParameterSeparator, appendProduct, appendQuotedPair, appendQuotedString, appendSpace, appendToken, appendUriEncoded, appendValueSeparator, canWrite`

### Methods inherited from class java.io.StringWriter

`append, close, flush, getBuffer, toString, write, write, write, write`

### Methods inherited from class java.io.Writer

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LanguageWriter

    public LanguageWriter()

### Method Detail

#### write

    public static java.lang.String write(java.util.List<Language> languages)

Writes a list of languages.

Parameters:
  `languages` - The languages to write.
Returns:
  This writer.